@import "../../../utils/variables";

.root {
  padding-top: 0.5rem;
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
  overflow-y: auto;
  overflow-x: hidden;
  opacity: 1;

  &[data-expanded="false"] {
    .navItem {
      padding-left: 1.4rem;
      .navItemLabel {
        opacity: 0;
      }
    }
  }

  &[data-theme="light"] {
    .navItem {
      &[data-selected="true"] {
        background-color: $background-color-main-light;
      }
      &:hover {
        background-color: darken($background-color-dock-light, 5%);
      }
    }
  }

  &[data-theme="dark"] {
    .navItem {
      &[data-selected="true"] {
        background-color: $background-color-main-dark;
      }
      &:hover {
        background-color: lighten($background-color-dock-dark, 13%);
      }
    }
  }

  .navItem {
    display: flex;
    flex: 0 0 3.6rem;
    height: 3.6rem;
    padding: 0 1.2rem 0 2.4rem;
    line-height: 3.6rem;
    outline-offset: -5px;
    will-change: padding-left;
    transition: padding-left 0.2s ease-in-out;
    color: currentColor;
    text-decoration: none;

    &:hover {
      color: currentColor;
    }

    .navItemIcon {
      flex: 0 0 1.6rem;
      align-self: center;
      height: 1.6rem;
      width: 1.6rem;
      margin-right: 0.6rem;
      vertical-align: middle;
    }

    .navItemLabel {
      flex: 1 1 auto;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      will-change: opacity;
      transition: opacity 0.2s ease-in-out;
    }
  }
}
